<?php

if (!defined('roohit_INIT')) define('roohit_INIT', 1);
else return;

/**
* Plugin Name: Instant Web Highlighter
* Plugin URI: http://roohit.com/site/buttons.php
* Description: Enables visitors to <strong>highlight</strong>, share, save, and <strong>promote your website in their social networks, blogs and friends</strong>. All highlights anyone makes on your page are automatically posted to  all of our <a href='http://roohit.com/site/urWidget.php'>MicroBloggers'</a> blogs and Social Networks pages; and to our own Home Page - instantly generating a gazillion links back to your posting. It's all Free, and no-one ever needs to "join" any site; nor download anything!
* Version: 1.0.2.2
* Author: The RoohIt Team
* Author URI: http://roohit.com
*/

/*  Copyright 2006 onwards  RoohIt  (email : support@roohit.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

$roohitpluginpath = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__)).'/';

$roohit_settings = array(	array('customization', ''), 
                          	array('language', 'en'), 
                          	array('style', '1'));

$roohit_languages = array('zh'=>'Chinese', 'da'=>'Danish', 'nl'=>'Dutch', 'en'=>'English', 'fi'=>'Finnish', 'fr'=>'French', 'de'=>'German', 'he'=>'Hebrew', 'it'=>'Italian', 'ja'=>'Japanese', 'ko'=>'Korean', 'no'=>'Norwegian', 'pl'=>'Polish', 'pt'=>'Portugese', 'ru'=>'Russian', 'es'=>'Spanish', 'sv'=>'Swedish');

$roohit_styles = array(
                      '1'  => array('img'=>'http://roohit.com/images/btns/hlBtnNEW.png'),
                      '2'  => array('img'=>'http://roohit.com/images/btns/hlThisPage.png'),
                      '3'  => array('img'=>'http://roohit.com/images/btns/btn_MB.png'),
                      '4'  => array('img'=>'http://roohit.com/site/images/hilight_button.gif'),
                      '5'  => array('img'=>'http://roohit.com/site/images/button1.gif'),
                      '6'  => array('img'=>'http://roohit.com/images/btns/2RH.png'),
                      '7'  => array('img'=>'http://roohit.com/images/btns/2RH-2.png'),
                      '8'  => array('img'=>'http://roohit.com/images/btns/2RH-3.png'),
                      '9'  => array('img'=>'http://roohit.com/images/btns/btn_HP.png'),
                      '10' => array('img'=>'http://roohit.com/images/btns/btn_SH.png'),
                      '11' => array('img'=>'http://roohit.com/images/btns/btn_CSC.png'),
                      '12' => array('img'=>'http://roohit.com/images/btns/btn_BAT.png'),
                      '13' => array('img'=>'http://roohit.com/images/pen2.gif'),
                      '14' => array('img'=>'http://roohit.com/images/btns/aSH.png'),
                      '15' => array('img'=>'http://roohit.com/images/btns/aSvH.png'),
                      '16' => array('img'=>'http://roohit.com/images/btns/aAB.png'),
                      '17' => array('img'=>'http://roohit.com/images/btns/aMB.png'),
                      '18' => array('img'=>'http://roohit.com/images/instHler.gif'),
                      '19' => array('img'=>'http://roohit.com/images/btns/aMS.png'),
                      '20' => array('img'=>'http://roohit.com/images/btns/aSS.png'),
                      '21' => array('img'=>'http://roohit.com/images/btns/aCSS.png'),
                      '22' => array('img'=>'http://roohit.com/images/btns/aSS.png'),
                      /* Add your own style here, like this:
                        , 'custom' => array('img'=>'http://example.com/button.gif') */
                    );


function roohit_init()
{
    global $roohit_settings;

    add_filter('the_content', 'roohit_tag');
    add_filter('admin_menu', 'roohit_admin_menu');

    add_option('roohit_style');
    add_option('roohit_language', 'en');

    if (!isset($style)) $style = get_option('roohit_style');
    if (strlen($style) == 0) $style = '1';
    $roohit_settings['style'] = $style;


    $language = get_option('roohit_language');
    $roohit_settings['language'] = $language;

    $roohit_settings['customization'] = '';
    for ($i = 0; $i < count($advopts); $i++)
    {
        $opt = $advopts[$i];
        $val = get_option("roohit_$opt");
        if (isset($val) && strlen($val)) $roohit_settings['customization'] .= "var roohit_$opt = '$val';";
    }
}

function roohit_tag($content)
{
    global $roohit_settings;

    $content .= "\n<!-- Roohit Button BEGIN -->\n";
    $link  = get_permalink();
        $content .= <<<EOF
<div class="roohit_container"><a id="Btn" href="http://roohit.com/$link" title="Highlight It">
EOF;
        $content .= roohit_get_button_img() . '</a><script type="text/javascript" src="http://roohit.com/site/btn.js"></script></div>';
    $content .= "\n<!-- Roohit Button END -->";
    return $content;
}

function roohit_get_button_img()
{
    global $roohit_settings;
    global $roohit_styles;

    $btnStyle = $roohit_settings['style'];

    if (!isset($roohit_styles[$btnStyle])) $btnStyle = 'style1';
    $btnRecord = $roohit_styles[$btnStyle];
    $btnUrl =  $btnRecord['img'];
         
    return <<<EOF
<img src="$btnUrl" border="0" alt="Highlight It" style="border:none;"/>
EOF;
}

function roohit_get_img($id)
{
    global $roohit_settings;
    global $roohit_styles;

    $btnStyle = $id;

    $btnRecord = $roohit_styles[$btnStyle];
    $btnUrl =  $btnRecord['img'];
         
    return <<<EOF
<img src="$btnUrl" border="0" alt="Highlight It" style="border:none;"/>
EOF;
}

function roohit_admin_menu()
{
    add_options_page('RoohIt Options', 'Roohit', 8, __FILE__, 'roohit_plugin_options_php4');
}

function roohit_plugin_options_php4() {
    global $roohit_styles;
    global $roohit_languages;
    global $roohit_settings;

?>
    <div class="wrap">
    <h2>RoohIt: Instant Web Highlighter</h2>

    <form method="post" action="options.php">
    <?php wp_nonce_field('update-options'); ?>

    <h3>RoohIt Plugin Options</h3>
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e("Button style:", 'roohit_trans_domain' ); ?></th>
            <td>
                <?php
                    $curstyle = get_option('roohit_style');
					$i=1;
                    foreach ($roohit_styles as $style => $info)
                    {
      echo "<p><input type=\"radio\" name=\"roohit_style\" value=\"$style\" id=\"roohit_style_$i\"". ($style == $curstyle ? "  checked=\"checked\"":"").  "/> ".roohit_get_img($style)."</p>";
			$i++;
                    }
                ?>
            </td>
        </tr>
    </table>

    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="page_options" value="roohit_style,roohit_language,roohit_options"/>

    <p class="submit">
    <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
    </p>

    </form>
    </div>
      <?php
}

roohit_init();
?>
